Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class RangeRecord

    java.lang.Object
      org.apache.batik.svggen.font.table.RangeRecord

public class RangeRecord
extends java.lang.Object

Coverage Index (GlyphID) = StartCoverageIndex + GlyphID - Start GlyphID

Constructor Summary
`RangeRecord(java.io.RandomAccessFile raf)` Creates new RangeRecord

Method Summary
`int` | `getCoverageIndex(int glyphId)`
`boolean` | `isInRange(int glyphId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeRecord

    public RangeRecord(java.io.RandomAccessFile raf)
                throws java.io.IOException

  Creates new RangeRecord

Method Detail

### isInRange

    public boolean isInRange(int glyphId)

### getCoverageIndex

    public int getCoverageIndex(int glyphId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.